cmis-client(1)

NAME
cmis-client - command line CMIS client tool.

SYNOPSIS
cmis-client
help
cmis-client
[-v] --url url://to/binding list-repos
cmis-client
[-v] [-u login] [-p secret] --url url://to/binding -r repo-id repo-infos
cmis-client
[-v] [-u login] [-p secret] --url url://to/binding -r repo-id show-root
cmis-client
[-v] [-u login] [-p secret] --url url://to/binding -r repo-id get-content id
cmis-client
[-v] [-u login] [-p secret] --url url://to/binding -r repo-id --input-file path/to/file --input-type mime/type [--input-name name.ext] set-content id
cmis-client
[-v] [-u login] [-p secret] --url url://to/binding -r repo-id [--object-type some:cmistype] [--object-property prop-id=prop-value]... create-folder parent-id name
cmis-client
[-v] [-u login] [-p secret] --url url://to/binding -r repo-id --input-file path/to/file --input-type mime/type [--input-name name.ext] [--object-type some:cmistype] [--object-property prop-id=prop-value]... create-document parent-id name
cmis-client
[-v] [-u login] [-p secret] --url url://to/binding -r repo-id [--object-property prop-id=prop-value]... update-object object-id
cmis-client
[-v] [-u login] [-p secret] --url url://to/binding -r repo-id type-by-id | show-by-id | show-by-path | delete arg ...
cmis-client
[-v] [-u login] [-p secret] --url url://to/binding -r repo-id checkout | cancel-checkout | get-versions arg
cmis-client
[-v] [-u login] [-p secret] --url url://to/binding -r repo-id [--input-file path/to/file] [--input-type mime/type] [--input-name name.ext] [--object-property prop-id=prop-value]... [--major] [--message] checkin pwc id

DESCRIPTION
The cmis-client tool sends queries over the net to a CMIS-enabled server to access or modify its content. It is originally demonstrating what libcmis is capable of.

OPTIONS

  GLOBAL OPTIONS

-v, --verbose
    Shows a lot of information to monitor what is happening behind the scene. This helps a lot to debug libcmis.

--help
    Show the help and exit. This is equivalent to use the help command.

--url url://to/binding
    url://to/binding needs to point to the service document of either AtomPub or WebService binding.

-r,--repository repo-id
    Operate on the repo-id CMIS repository. If there is only one repository on the server, this parameter is not needed and that repository will be automatically selected. Use this parameter if there are several repositories on the server.

-u,--username login
    Connect as login to the CMIS server. If not provided connect anonymously.

-p,--password secret
    Use secret to authenticate on the CMIS server.

--no-ssl-check
    Disables the SSL certificate verifications. Lowers the security, but may be handy to work around bad certificates like expired or self-signed ones.

--proxy url
    Use url as the HTTP proxy. Setting this value will override the system proxy settings.

--proxy-username login
    Use login to authenticate on the HTTP proxy.

--proxy-password secret
    Use secret to authenticate on the HTTP proxy.

--noproxy list
    Proxy settings won't apply to hostnames and domain names listed in list. This value is a coma separated list.

--oauth2-client-id client_id
    Application client id to use in the OAuth2 authentication flow.

--oauth2-client-secret client_secret
    Application client secret to use in the OAuth2 authentication flow.

--oauth2-auth-url url
    URL to authenticate the user in the OAuth2 authentication flow.

--oauth2-token-url url
    URL to authenticate the application in the OAuth2 authentication flow. The access and refresh tokens are provided by this URL.

--oauth2-redirect-uri uri
    URI where the OAuth2 authentication flow will redirect after a sucessful authentication.

--oauth2-scope scope
    Requested scope to access in the OAuth2 authentication flow.

  MODIFICATION OPERATIONS OPTIONS

--input-file path/to/file
    Upload path/to/file as the new content stream of the object.

--input-type mime/type
    Set the mime type of the new content stream of the object to mime/type.

--input-name name.ext
    Set the remote content stream filename of the new content stream of the object to name.ext.

--object-type some:cmistype
    Set the object type of the CMIS object to be created to some:cmistype. This is the equivalent of --object-property cmis:objectTypeId=some:cmistype.

--object-property prop-id=prop-value
    Set a property to be updated or added to the CMIS object. prop-id is the property definition id and prop-value is the value to set on it.

--major
    Create a major version when performing a checkin.

-m, --message message
    Set the checking message.

  COMMANDS

help
    Show the help and exit.

list-repos
    List the repositories available on the server.

repo-infos
    Displays the informations and capabilities of the selected repository

show-root
    Displays the root node infos and children.

get-content id
    Download the content of the CMIS object corresponding to id in the current directory.

set-content id
    Upload a file as the content stream of the CMIS object corresponding to id.

create-folder parent-id name
    Create a sub folder in folder parent-id named name. The default type of the folder to create is cmis:folder, but this can be changed using --object-type option.

create-document parent-id name
    Create a document in folder parent-id named name. The default type of the document to create is cmis:document, but this can be changed using --object-type option.

    Note that the --input-file and --input-type may be mandatory, depending on the type of the document to create and its constraints.

update-object object-id
    Replace the writeable properties given with --object-property option on the object matching id object-id.

type-by-id arg...
    Displays the infos and children (if any) of all the CMIS types corresponding to the listed ids.

show-by-id arg...
    Displays the infos and children (if any) of all the CMIS objects corresponding to the listed ids.

show-by-path arg...
    Displays the infos and children (if any) of all the CMIS objects corresponding to the listed paths.

delete arg...
    Deletes the CMIS objects corresponding to the listed ids. If the node is a folder, its content will be removed as well.

checkout arg
    Checkout the document corresponding to the provided id and display the infos of the created private working copy.

cancel-checkout arg
    Cancel the Private Working Copy corresponding to the node id.

get-versions arg
    Display the versions (if any) of all the CMIS object corresponding to the provided id.

checkin arg
    Check in the private working copy corresponding to the provided id and display the infos of the resulting document. Use the --major and --message options to define the version to create and the commit to associate to it. Note that repositories without the ability to update the private working copies will need the --input-file, --input-type and --object-property options.

USAGE
Displays the root node of repository A1:

cmis-client -r A1 --url http://localhost/atom show-root

Displays the nodes with id 133 and 116 of repository A1:

cmis-client -r A1 --url http://localhost/atom show-by id 133 116

AUTHOR
Cédric Bosdonnat

REPORTING BUGS
Report bugs to <⟨https://github.com/tdf/libcmis/issues⟩>.